#include <ESP32Servo.h>
#include <Wire.h>
#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C LCD = LiquidCrystal_I2C(0x27, 16, 2);
Servo myServo;
int potpin = 34;
int ADC_Max = 4096;
void setup() {
  LCD.clear();
  LCD.init();
  LCD.backlight();
 LCD.setCursor(0, 0);
  LCD.print("Servo Position ");
  LCD.setCursor(0, 1);
  LCD.print("=");
  myServo.attach(18);
 
}
void loop() {
  int pos = analogRead(potpin);

  int angle = map(pos, 0, ADC_Max, 0, 180);
  myServo.write(angle);
  LCD.setCursor(1, 1);
  LCD.print(angle);
  delay(100);
}